from email.policy import default

from django.conf import settings
from django.db import models

from providers.models import Provider, ProviderSchema


class UserConsents(models.Model):
    user = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    consented = models.BooleanField()
    provider_schema = models.ForeignKey(ProviderSchema, on_delete=models.CASCADE)
    provider = models.ForeignKey(Provider, on_delete=models.CASCADE)
    verb = models.CharField(db_index=True, max_length=500)
    object = models.JSONField()
    updated = models.DateTimeField(auto_now=True)
    created = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return "User consent: " + self.verb
